# coding: utf-8

# flake8: noqa

"""
    Yahoo!広告 検索広告 API リファレンス / Yahoo! JAPAN Ads Search Ads API Reference

    <div lang=\"ja\">Yahoo!広告 検索広告 APIのWebサービスについて説明します。</div> <div lang=\"en\">Search Ads API Web Services supported in Yahoo! JAPAN Ads API.</div> <div><a target=\"_blank\" href=\"https://github.com/yahoojp-marketing/ads-search-api-documents/blob/master/design/v6/Route.yaml\">OpenAPI Specification</a></div> <div lang=\"ja\"><a target=\"_blank\" href=\"https://github.com/yahoojp-marketing/ads-search-api-documents/blob/master/bestpractice/ja\">Best Practice</a></div> <div lang=\"en\"><a target=\"_blank\" href=\"https://github.com/yahoojp-marketing/ads-search-api-documents/blob/master/bestpractice/en\">Best Practice</a></div>   # noqa: E501

    The version of the OpenAPI document: v6
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

__version__ = "1.0.0"

# import apis into sdk package
from yahoo_search_api.api.account_link_service_api import AccountLinkServiceApi
from yahoo_search_api.api.account_management_service_api import AccountManagementServiceApi
from yahoo_search_api.api.account_service_api import AccountServiceApi
from yahoo_search_api.api.account_shared_service_api import AccountSharedServiceApi
from yahoo_search_api.api.account_tracking_url_service_api import AccountTrackingUrlServiceApi
from yahoo_search_api.api.ad_group_ad_label_service_api import AdGroupAdLabelServiceApi
from yahoo_search_api.api.ad_group_ad_service_api import AdGroupAdServiceApi
from yahoo_search_api.api.ad_group_bid_multiplier_service_api import AdGroupBidMultiplierServiceApi
from yahoo_search_api.api.ad_group_criterion_label_service_api import AdGroupCriterionLabelServiceApi
from yahoo_search_api.api.ad_group_criterion_service_api import AdGroupCriterionServiceApi
from yahoo_search_api.api.ad_group_feed_service_api import AdGroupFeedServiceApi
from yahoo_search_api.api.ad_group_label_service_api import AdGroupLabelServiceApi
from yahoo_search_api.api.ad_group_retargeting_list_service_api import AdGroupRetargetingListServiceApi
from yahoo_search_api.api.ad_group_service_api import AdGroupServiceApi
from yahoo_search_api.api.ad_group_webpage_service_api import AdGroupWebpageServiceApi
from yahoo_search_api.api.app_link_service_api import AppLinkServiceApi
from yahoo_search_api.api.audit_log_service_api import AuditLogServiceApi
from yahoo_search_api.api.balance_service_api import BalanceServiceApi
from yahoo_search_api.api.bidding_strategy_service_api import BiddingStrategyServiceApi
from yahoo_search_api.api.budget_order_service_api import BudgetOrderServiceApi
from yahoo_search_api.api.campaign_criterion_service_api import CampaignCriterionServiceApi
from yahoo_search_api.api.campaign_export_service_api import CampaignExportServiceApi
from yahoo_search_api.api.campaign_feed_service_api import CampaignFeedServiceApi
from yahoo_search_api.api.campaign_label_service_api import CampaignLabelServiceApi
from yahoo_search_api.api.campaign_retargeting_list_service_api import CampaignRetargetingListServiceApi
from yahoo_search_api.api.campaign_service_api import CampaignServiceApi
from yahoo_search_api.api.campaign_shared_set_service_api import CampaignSharedSetServiceApi
from yahoo_search_api.api.campaign_target_service_api import CampaignTargetServiceApi
from yahoo_search_api.api.campaign_webpage_service_api import CampaignWebpageServiceApi
from yahoo_search_api.api.conversion_tracker_service_api import ConversionTrackerServiceApi
from yahoo_search_api.api.dictionary_service_api import DictionaryServiceApi
from yahoo_search_api.api.feed_item_service_api import FeedItemServiceApi
from yahoo_search_api.api.feed_service_api import FeedServiceApi
from yahoo_search_api.api.keyword_estimator_service_api import KeywordEstimatorServiceApi
from yahoo_search_api.api.keyword_forecast_metrics_service_api import KeywordForecastMetricsServiceApi
from yahoo_search_api.api.keyword_plan_idea_service_api import KeywordPlanIdeaServiceApi
from yahoo_search_api.api.label_service_api import LabelServiceApi
from yahoo_search_api.api.offline_conversion_service_api import OfflineConversionServiceApi
from yahoo_search_api.api.page_feed_item_service_api import PageFeedItemServiceApi
from yahoo_search_api.api.report_definition_service_api import ReportDefinitionServiceApi
from yahoo_search_api.api.retargeting_list_service_api import RetargetingListServiceApi
from yahoo_search_api.api.shared_criterion_service_api import SharedCriterionServiceApi

# import ApiClient
from yahoo_search_api.api_client import ApiClient
from yahoo_search_api.configuration import Configuration
from yahoo_search_api.exceptions import OpenApiException
from yahoo_search_api.exceptions import ApiTypeError
from yahoo_search_api.exceptions import ApiValueError
from yahoo_search_api.exceptions import ApiKeyError
from yahoo_search_api.exceptions import ApiException
# import models into sdk package
from yahoo_search_api.models.account import Account
from yahoo_search_api.models.account_link import AccountLink
from yahoo_search_api.models.account_link_service_account_status import AccountLinkServiceAccountStatus
from yahoo_search_api.models.account_link_service_get_response import AccountLinkServiceGetResponse
from yahoo_search_api.models.account_link_service_link_access_permission import AccountLinkServiceLinkAccessPermission
from yahoo_search_api.models.account_link_service_owner_ship_type import AccountLinkServiceOwnerShipType
from yahoo_search_api.models.account_link_service_page import AccountLinkServicePage
from yahoo_search_api.models.account_link_service_selector import AccountLinkServiceSelector
from yahoo_search_api.models.account_link_service_value import AccountLinkServiceValue
from yahoo_search_api.models.account_management import AccountManagement
from yahoo_search_api.models.account_management_service_auth_type import AccountManagementServiceAuthType
from yahoo_search_api.models.account_management_service_auto_tagging_enabled import AccountManagementServiceAutoTaggingEnabled
from yahoo_search_api.models.account_management_service_client import AccountManagementServiceClient
from yahoo_search_api.models.account_management_service_client_type import AccountManagementServiceClientType
from yahoo_search_api.models.account_management_service_delivery_status import AccountManagementServiceDeliveryStatus
from yahoo_search_api.models.account_management_service_enterprise_type import AccountManagementServiceEnterpriseType
from yahoo_search_api.models.account_management_service_enterprise_type_position import AccountManagementServiceEnterpriseTypePosition
from yahoo_search_api.models.account_management_service_get_response import AccountManagementServiceGetResponse
from yahoo_search_api.models.account_management_service_include_test_account import AccountManagementServiceIncludeTestAccount
from yahoo_search_api.models.account_management_service_invoice import AccountManagementServiceInvoice
from yahoo_search_api.models.account_management_service_is_adult_account import AccountManagementServiceIsAdultAccount
from yahoo_search_api.models.account_management_service_is_test_account import AccountManagementServiceIsTestAccount
from yahoo_search_api.models.account_management_service_mutate_response import AccountManagementServiceMutateResponse
from yahoo_search_api.models.account_management_service_operation import AccountManagementServiceOperation
from yahoo_search_api.models.account_management_service_page import AccountManagementServicePage
from yahoo_search_api.models.account_management_service_payment import AccountManagementServicePayment
from yahoo_search_api.models.account_management_service_payment_type import AccountManagementServicePaymentType
from yahoo_search_api.models.account_management_service_prefecture_code import AccountManagementServicePrefectureCode
from yahoo_search_api.models.account_management_service_return_value import AccountManagementServiceReturnValue
from yahoo_search_api.models.account_management_service_selector import AccountManagementServiceSelector
from yahoo_search_api.models.account_management_service_status import AccountManagementServiceStatus
from yahoo_search_api.models.account_management_service_url_type import AccountManagementServiceUrlType
from yahoo_search_api.models.account_management_service_value import AccountManagementServiceValue
from yahoo_search_api.models.account_service_auth_type import AccountServiceAuthType
from yahoo_search_api.models.account_service_auto_tagging_enabled import AccountServiceAutoTaggingEnabled
from yahoo_search_api.models.account_service_delivery_status import AccountServiceDeliveryStatus
from yahoo_search_api.models.account_service_get_response import AccountServiceGetResponse
from yahoo_search_api.models.account_service_include_manager_account import AccountServiceIncludeManagerAccount
from yahoo_search_api.models.account_service_include_test_account import AccountServiceIncludeTestAccount
from yahoo_search_api.models.account_service_is_manager_account import AccountServiceIsManagerAccount
from yahoo_search_api.models.account_service_is_test_account import AccountServiceIsTestAccount
from yahoo_search_api.models.account_service_mutate_response import AccountServiceMutateResponse
from yahoo_search_api.models.account_service_operation import AccountServiceOperation
from yahoo_search_api.models.account_service_page import AccountServicePage
from yahoo_search_api.models.account_service_return_value import AccountServiceReturnValue
from yahoo_search_api.models.account_service_selector import AccountServiceSelector
from yahoo_search_api.models.account_service_status import AccountServiceStatus
from yahoo_search_api.models.account_service_type import AccountServiceType
from yahoo_search_api.models.account_service_value import AccountServiceValue
from yahoo_search_api.models.account_shared import AccountShared
from yahoo_search_api.models.account_shared_service_get_response import AccountSharedServiceGetResponse
from yahoo_search_api.models.account_shared_service_mutate_response import AccountSharedServiceMutateResponse
from yahoo_search_api.models.account_shared_service_operation import AccountSharedServiceOperation
from yahoo_search_api.models.account_shared_service_page import AccountSharedServicePage
from yahoo_search_api.models.account_shared_service_return_value import AccountSharedServiceReturnValue
from yahoo_search_api.models.account_shared_service_selector import AccountSharedServiceSelector
from yahoo_search_api.models.account_shared_service_value import AccountSharedServiceValue
from yahoo_search_api.models.account_tracking_url import AccountTrackingUrl
from yahoo_search_api.models.account_tracking_url_service_get_response import AccountTrackingUrlServiceGetResponse
from yahoo_search_api.models.account_tracking_url_service_mutate_response import AccountTrackingUrlServiceMutateResponse
from yahoo_search_api.models.account_tracking_url_service_operation import AccountTrackingUrlServiceOperation
from yahoo_search_api.models.account_tracking_url_service_page import AccountTrackingUrlServicePage
from yahoo_search_api.models.account_tracking_url_service_return_value import AccountTrackingUrlServiceReturnValue
from yahoo_search_api.models.account_tracking_url_service_selector import AccountTrackingUrlServiceSelector
from yahoo_search_api.models.account_tracking_url_service_url_approval_status import AccountTrackingUrlServiceUrlApprovalStatus
from yahoo_search_api.models.account_tracking_url_service_value import AccountTrackingUrlServiceValue
from yahoo_search_api.models.ad_group import AdGroup
from yahoo_search_api.models.ad_group_ad import AdGroupAd
from yahoo_search_api.models.ad_group_ad_label import AdGroupAdLabel
from yahoo_search_api.models.ad_group_ad_label_service_mutate_response import AdGroupAdLabelServiceMutateResponse
from yahoo_search_api.models.ad_group_ad_label_service_operation import AdGroupAdLabelServiceOperation
from yahoo_search_api.models.ad_group_ad_label_service_return_value import AdGroupAdLabelServiceReturnValue
from yahoo_search_api.models.ad_group_ad_label_service_value import AdGroupAdLabelServiceValue
from yahoo_search_api.models.ad_group_ad_service_ad import AdGroupAdServiceAd
from yahoo_search_api.models.ad_group_ad_service_ad_type import AdGroupAdServiceAdType
from yahoo_search_api.models.ad_group_ad_service_additional_advanced_mobile_urls import AdGroupAdServiceAdditionalAdvancedMobileUrls
from yahoo_search_api.models.ad_group_ad_service_additional_advanced_urls import AdGroupAdServiceAdditionalAdvancedUrls
from yahoo_search_api.models.ad_group_ad_service_app_ad import AdGroupAdServiceAppAd
from yahoo_search_api.models.ad_group_ad_service_app_store import AdGroupAdServiceAppStore
from yahoo_search_api.models.ad_group_ad_service_approval_status import AdGroupAdServiceApprovalStatus
from yahoo_search_api.models.ad_group_ad_service_contains_label_id import AdGroupAdServiceContainsLabelId
from yahoo_search_api.models.ad_group_ad_service_created_date_range import AdGroupAdServiceCreatedDateRange
from yahoo_search_api.models.ad_group_ad_service_custom_parameter import AdGroupAdServiceCustomParameter
from yahoo_search_api.models.ad_group_ad_service_custom_parameters import AdGroupAdServiceCustomParameters
from yahoo_search_api.models.ad_group_ad_service_description_pinned_field import AdGroupAdServiceDescriptionPinnedField
from yahoo_search_api.models.ad_group_ad_service_description_text_asset import AdGroupAdServiceDescriptionTextAsset
from yahoo_search_api.models.ad_group_ad_service_device_preference import AdGroupAdServiceDevicePreference
from yahoo_search_api.models.ad_group_ad_service_dynamic_search_linked_ad import AdGroupAdServiceDynamicSearchLinkedAd
from yahoo_search_api.models.ad_group_ad_service_extended_text_ad import AdGroupAdServiceExtendedTextAd
from yahoo_search_api.models.ad_group_ad_service_get_response import AdGroupAdServiceGetResponse
from yahoo_search_api.models.ad_group_ad_service_headline_pinned_field import AdGroupAdServiceHeadlinePinnedField
from yahoo_search_api.models.ad_group_ad_service_headline_text_asset import AdGroupAdServiceHeadlineTextAsset
from yahoo_search_api.models.ad_group_ad_service_is_remove import AdGroupAdServiceIsRemove
from yahoo_search_api.models.ad_group_ad_service_label import AdGroupAdServiceLabel
from yahoo_search_api.models.ad_group_ad_service_mutate_response import AdGroupAdServiceMutateResponse
from yahoo_search_api.models.ad_group_ad_service_operation import AdGroupAdServiceOperation
from yahoo_search_api.models.ad_group_ad_service_page import AdGroupAdServicePage
from yahoo_search_api.models.ad_group_ad_service_responsive_search_ad import AdGroupAdServiceResponsiveSearchAd
from yahoo_search_api.models.ad_group_ad_service_return_value import AdGroupAdServiceReturnValue
from yahoo_search_api.models.ad_group_ad_service_selector import AdGroupAdServiceSelector
from yahoo_search_api.models.ad_group_ad_service_set_trademark_status import AdGroupAdServiceSetTrademarkStatus
from yahoo_search_api.models.ad_group_ad_service_set_trademark_status_operation import AdGroupAdServiceSetTrademarkStatusOperation
from yahoo_search_api.models.ad_group_ad_service_set_trademark_status_response import AdGroupAdServiceSetTrademarkStatusResponse
from yahoo_search_api.models.ad_group_ad_service_text_ad2 import AdGroupAdServiceTextAd2
from yahoo_search_api.models.ad_group_ad_service_text_asset_approval_status import AdGroupAdServiceTextAssetApprovalStatus
from yahoo_search_api.models.ad_group_ad_service_trademark_status import AdGroupAdServiceTrademarkStatus
from yahoo_search_api.models.ad_group_ad_service_user_status import AdGroupAdServiceUserStatus
from yahoo_search_api.models.ad_group_ad_service_value import AdGroupAdServiceValue
from yahoo_search_api.models.ad_group_bid_multiplier import AdGroupBidMultiplier
from yahoo_search_api.models.ad_group_bid_multiplier_service_get_response import AdGroupBidMultiplierServiceGetResponse
from yahoo_search_api.models.ad_group_bid_multiplier_service_mutate_response import AdGroupBidMultiplierServiceMutateResponse
from yahoo_search_api.models.ad_group_bid_multiplier_service_operation import AdGroupBidMultiplierServiceOperation
from yahoo_search_api.models.ad_group_bid_multiplier_service_page import AdGroupBidMultiplierServicePage
from yahoo_search_api.models.ad_group_bid_multiplier_service_platform_type import AdGroupBidMultiplierServicePlatformType
from yahoo_search_api.models.ad_group_bid_multiplier_service_return_value import AdGroupBidMultiplierServiceReturnValue
from yahoo_search_api.models.ad_group_bid_multiplier_service_selector import AdGroupBidMultiplierServiceSelector
from yahoo_search_api.models.ad_group_bid_multiplier_service_value import AdGroupBidMultiplierServiceValue
from yahoo_search_api.models.ad_group_criterion import AdGroupCriterion
from yahoo_search_api.models.ad_group_criterion_label import AdGroupCriterionLabel
from yahoo_search_api.models.ad_group_criterion_label_service_mutate_response import AdGroupCriterionLabelServiceMutateResponse
from yahoo_search_api.models.ad_group_criterion_label_service_operation import AdGroupCriterionLabelServiceOperation
from yahoo_search_api.models.ad_group_criterion_label_service_return_value import AdGroupCriterionLabelServiceReturnValue
from yahoo_search_api.models.ad_group_criterion_label_service_value import AdGroupCriterionLabelServiceValue
from yahoo_search_api.models.ad_group_criterion_service_additional_advanced_mobile_urls import AdGroupCriterionServiceAdditionalAdvancedMobileUrls
from yahoo_search_api.models.ad_group_criterion_service_additional_advanced_urls import AdGroupCriterionServiceAdditionalAdvancedUrls
from yahoo_search_api.models.ad_group_criterion_service_additional_url import AdGroupCriterionServiceAdditionalUrl
from yahoo_search_api.models.ad_group_criterion_service_approval_status import AdGroupCriterionServiceApprovalStatus
from yahoo_search_api.models.ad_group_criterion_service_bid import AdGroupCriterionServiceBid
from yahoo_search_api.models.ad_group_criterion_service_bid_source import AdGroupCriterionServiceBidSource
from yahoo_search_api.models.ad_group_criterion_service_biddable_ad_group_criterion import AdGroupCriterionServiceBiddableAdGroupCriterion
from yahoo_search_api.models.ad_group_criterion_service_bidding_keyword_cpc_range import AdGroupCriterionServiceBiddingKeywordCpcRange
from yahoo_search_api.models.ad_group_criterion_service_contains_label_id import AdGroupCriterionServiceContainsLabelId
from yahoo_search_api.models.ad_group_criterion_service_criterion import AdGroupCriterionServiceCriterion
from yahoo_search_api.models.ad_group_criterion_service_criterion_type import AdGroupCriterionServiceCriterionType
from yahoo_search_api.models.ad_group_criterion_service_custom_parameter import AdGroupCriterionServiceCustomParameter
from yahoo_search_api.models.ad_group_criterion_service_custom_parameters import AdGroupCriterionServiceCustomParameters
from yahoo_search_api.models.ad_group_criterion_service_get_response import AdGroupCriterionServiceGetResponse
from yahoo_search_api.models.ad_group_criterion_service_is_remove import AdGroupCriterionServiceIsRemove
from yahoo_search_api.models.ad_group_criterion_service_keyword import AdGroupCriterionServiceKeyword
from yahoo_search_api.models.ad_group_criterion_service_keyword_match_type import AdGroupCriterionServiceKeywordMatchType
from yahoo_search_api.models.ad_group_criterion_service_label import AdGroupCriterionServiceLabel
from yahoo_search_api.models.ad_group_criterion_service_mutate_response import AdGroupCriterionServiceMutateResponse
from yahoo_search_api.models.ad_group_criterion_service_operation import AdGroupCriterionServiceOperation
from yahoo_search_api.models.ad_group_criterion_service_page import AdGroupCriterionServicePage
from yahoo_search_api.models.ad_group_criterion_service_return_value import AdGroupCriterionServiceReturnValue
from yahoo_search_api.models.ad_group_criterion_service_selector import AdGroupCriterionServiceSelector
from yahoo_search_api.models.ad_group_criterion_service_trademark_status import AdGroupCriterionServiceTrademarkStatus
from yahoo_search_api.models.ad_group_criterion_service_use import AdGroupCriterionServiceUse
from yahoo_search_api.models.ad_group_criterion_service_user_status import AdGroupCriterionServiceUserStatus
from yahoo_search_api.models.ad_group_criterion_service_value import AdGroupCriterionServiceValue
from yahoo_search_api.models.ad_group_feed import AdGroupFeed
from yahoo_search_api.models.ad_group_feed_service_get_response import AdGroupFeedServiceGetResponse
from yahoo_search_api.models.ad_group_feed_service_list import AdGroupFeedServiceList
from yahoo_search_api.models.ad_group_feed_service_mutate_response import AdGroupFeedServiceMutateResponse
from yahoo_search_api.models.ad_group_feed_service_operation import AdGroupFeedServiceOperation
from yahoo_search_api.models.ad_group_feed_service_page import AdGroupFeedServicePage
from yahoo_search_api.models.ad_group_feed_service_placeholder_type import AdGroupFeedServicePlaceholderType
from yahoo_search_api.models.ad_group_feed_service_return_value import AdGroupFeedServiceReturnValue
from yahoo_search_api.models.ad_group_feed_service_selector import AdGroupFeedServiceSelector
from yahoo_search_api.models.ad_group_feed_service_value import AdGroupFeedServiceValue
from yahoo_search_api.models.ad_group_label import AdGroupLabel
from yahoo_search_api.models.ad_group_label_service_mutate_response import AdGroupLabelServiceMutateResponse
from yahoo_search_api.models.ad_group_label_service_operation import AdGroupLabelServiceOperation
from yahoo_search_api.models.ad_group_label_service_return_value import AdGroupLabelServiceReturnValue
from yahoo_search_api.models.ad_group_label_service_value import AdGroupLabelServiceValue
from yahoo_search_api.models.ad_group_retargeting_list import AdGroupRetargetingList
from yahoo_search_api.models.ad_group_retargeting_list_service_criterion_target_list import AdGroupRetargetingListServiceCriterionTargetList
from yahoo_search_api.models.ad_group_retargeting_list_service_excluded_type import AdGroupRetargetingListServiceExcludedType
from yahoo_search_api.models.ad_group_retargeting_list_service_get_response import AdGroupRetargetingListServiceGetResponse
from yahoo_search_api.models.ad_group_retargeting_list_service_mutate_response import AdGroupRetargetingListServiceMutateResponse
from yahoo_search_api.models.ad_group_retargeting_list_service_operation import AdGroupRetargetingListServiceOperation
from yahoo_search_api.models.ad_group_retargeting_list_service_page import AdGroupRetargetingListServicePage
from yahoo_search_api.models.ad_group_retargeting_list_service_return_value import AdGroupRetargetingListServiceReturnValue
from yahoo_search_api.models.ad_group_retargeting_list_service_selector import AdGroupRetargetingListServiceSelector
from yahoo_search_api.models.ad_group_retargeting_list_service_value import AdGroupRetargetingListServiceValue
from yahoo_search_api.models.ad_group_service_ad_group_ad_rotation_mode import AdGroupServiceAdGroupAdRotationMode
from yahoo_search_api.models.ad_group_service_ad_rotation_mode import AdGroupServiceAdRotationMode
from yahoo_search_api.models.ad_group_service_bid import AdGroupServiceBid
from yahoo_search_api.models.ad_group_service_bid_source import AdGroupServiceBidSource
from yahoo_search_api.models.ad_group_service_bidding_keyword_cpc_range import AdGroupServiceBiddingKeywordCpcRange
from yahoo_search_api.models.ad_group_service_contains_label_id import AdGroupServiceContainsLabelId
from yahoo_search_api.models.ad_group_service_created_date_range import AdGroupServiceCreatedDateRange
from yahoo_search_api.models.ad_group_service_criterion_type import AdGroupServiceCriterionType
from yahoo_search_api.models.ad_group_service_custom_parameter import AdGroupServiceCustomParameter
from yahoo_search_api.models.ad_group_service_custom_parameters import AdGroupServiceCustomParameters
from yahoo_search_api.models.ad_group_service_get_response import AdGroupServiceGetResponse
from yahoo_search_api.models.ad_group_service_is_remove import AdGroupServiceIsRemove
from yahoo_search_api.models.ad_group_service_label import AdGroupServiceLabel
from yahoo_search_api.models.ad_group_service_mutate_response import AdGroupServiceMutateResponse
from yahoo_search_api.models.ad_group_service_operation import AdGroupServiceOperation
from yahoo_search_api.models.ad_group_service_page import AdGroupServicePage
from yahoo_search_api.models.ad_group_service_return_value import AdGroupServiceReturnValue
from yahoo_search_api.models.ad_group_service_review_url import AdGroupServiceReviewUrl
from yahoo_search_api.models.ad_group_service_selector import AdGroupServiceSelector
from yahoo_search_api.models.ad_group_service_settings import AdGroupServiceSettings
from yahoo_search_api.models.ad_group_service_target_all import AdGroupServiceTargetAll
from yahoo_search_api.models.ad_group_service_targeting_setting import AdGroupServiceTargetingSetting
from yahoo_search_api.models.ad_group_service_url_approval_status import AdGroupServiceUrlApprovalStatus
from yahoo_search_api.models.ad_group_service_url_review_data import AdGroupServiceUrlReviewData
from yahoo_search_api.models.ad_group_service_user_status import AdGroupServiceUserStatus
from yahoo_search_api.models.ad_group_service_value import AdGroupServiceValue
from yahoo_search_api.models.ad_group_webpage import AdGroupWebpage
from yahoo_search_api.models.ad_group_webpage_service_bid import AdGroupWebpageServiceBid
from yahoo_search_api.models.ad_group_webpage_service_bid_source import AdGroupWebpageServiceBidSource
from yahoo_search_api.models.ad_group_webpage_service_excluded_type import AdGroupWebpageServiceExcludedType
from yahoo_search_api.models.ad_group_webpage_service_get_response import AdGroupWebpageServiceGetResponse
from yahoo_search_api.models.ad_group_webpage_service_mutate_response import AdGroupWebpageServiceMutateResponse
from yahoo_search_api.models.ad_group_webpage_service_operation import AdGroupWebpageServiceOperation
from yahoo_search_api.models.ad_group_webpage_service_operator import AdGroupWebpageServiceOperator
from yahoo_search_api.models.ad_group_webpage_service_page import AdGroupWebpageServicePage
from yahoo_search_api.models.ad_group_webpage_service_return_value import AdGroupWebpageServiceReturnValue
from yahoo_search_api.models.ad_group_webpage_service_selector import AdGroupWebpageServiceSelector
from yahoo_search_api.models.ad_group_webpage_service_user_status import AdGroupWebpageServiceUserStatus
from yahoo_search_api.models.ad_group_webpage_service_value import AdGroupWebpageServiceValue
from yahoo_search_api.models.ad_group_webpage_service_webpage import AdGroupWebpageServiceWebpage
from yahoo_search_api.models.ad_group_webpage_service_webpage_condition import AdGroupWebpageServiceWebpageCondition
from yahoo_search_api.models.ad_group_webpage_service_webpage_condition_type import AdGroupWebpageServiceWebpageConditionType
from yahoo_search_api.models.ad_group_webpage_service_webpage_parameter import AdGroupWebpageServiceWebpageParameter
from yahoo_search_api.models.app_link import AppLink
from yahoo_search_api.models.app_link_service_app_link_platform import AppLinkServiceAppLinkPlatform
from yahoo_search_api.models.app_link_service_get_response import AppLinkServiceGetResponse
from yahoo_search_api.models.app_link_service_link_status import AppLinkServiceLinkStatus
from yahoo_search_api.models.app_link_service_mutate_response import AppLinkServiceMutateResponse
from yahoo_search_api.models.app_link_service_operation import AppLinkServiceOperation
from yahoo_search_api.models.app_link_service_page import AppLinkServicePage
from yahoo_search_api.models.app_link_service_return_value import AppLinkServiceReturnValue
from yahoo_search_api.models.app_link_service_selector import AppLinkServiceSelector
from yahoo_search_api.models.app_link_service_sync_status import AppLinkServiceSyncStatus
from yahoo_search_api.models.app_link_service_value import AppLinkServiceValue
from yahoo_search_api.models.audit_log_service_add_job_response import AuditLogServiceAddJobResponse
from yahoo_search_api.models.audit_log_service_date_range import AuditLogServiceDateRange
from yahoo_search_api.models.audit_log_service_download_selector import AuditLogServiceDownloadSelector
from yahoo_search_api.models.audit_log_service_encoding import AuditLogServiceEncoding
from yahoo_search_api.models.audit_log_service_event_selector import AuditLogServiceEventSelector
from yahoo_search_api.models.audit_log_service_event_types import AuditLogServiceEventTypes
from yahoo_search_api.models.audit_log_service_get_response import AuditLogServiceGetResponse
from yahoo_search_api.models.audit_log_service_job import AuditLogServiceJob
from yahoo_search_api.models.audit_log_service_job_status import AuditLogServiceJobStatus
from yahoo_search_api.models.audit_log_service_lang import AuditLogServiceLang
from yahoo_search_api.models.audit_log_service_operation import AuditLogServiceOperation
from yahoo_search_api.models.audit_log_service_output import AuditLogServiceOutput
from yahoo_search_api.models.audit_log_service_page import AuditLogServicePage
from yahoo_search_api.models.audit_log_service_return_value import AuditLogServiceReturnValue
from yahoo_search_api.models.audit_log_service_selector import AuditLogServiceSelector
from yahoo_search_api.models.audit_log_service_source_type import AuditLogServiceSourceType
from yahoo_search_api.models.audit_log_service_value import AuditLogServiceValue
from yahoo_search_api.models.balance import Balance
from yahoo_search_api.models.balance_service_get_response import BalanceServiceGetResponse
from yahoo_search_api.models.balance_service_page import BalanceServicePage
from yahoo_search_api.models.balance_service_selector import BalanceServiceSelector
from yahoo_search_api.models.balance_service_value import BalanceServiceValue
from yahoo_search_api.models.bidding_strategy import BiddingStrategy
from yahoo_search_api.models.bidding_strategy_service_bidding_scheme import BiddingStrategyServiceBiddingScheme
from yahoo_search_api.models.bidding_strategy_service_get_response import BiddingStrategyServiceGetResponse
from yahoo_search_api.models.bidding_strategy_service_mutate_response import BiddingStrategyServiceMutateResponse
from yahoo_search_api.models.bidding_strategy_service_operation import BiddingStrategyServiceOperation
from yahoo_search_api.models.bidding_strategy_service_page import BiddingStrategyServicePage
from yahoo_search_api.models.bidding_strategy_service_return_value import BiddingStrategyServiceReturnValue
from yahoo_search_api.models.bidding_strategy_service_selector import BiddingStrategyServiceSelector
from yahoo_search_api.models.bidding_strategy_service_target_cpa_bidding_scheme import BiddingStrategyServiceTargetCpaBiddingScheme
from yahoo_search_api.models.bidding_strategy_service_target_impression_share_location import BiddingStrategyServiceTargetImpressionShareLocation
from yahoo_search_api.models.bidding_strategy_service_target_impression_share_scheme import BiddingStrategyServiceTargetImpressionShareScheme
from yahoo_search_api.models.bidding_strategy_service_target_roas_bidding_scheme import BiddingStrategyServiceTargetRoasBiddingScheme
from yahoo_search_api.models.bidding_strategy_service_target_spend_bidding_scheme import BiddingStrategyServiceTargetSpendBiddingScheme
from yahoo_search_api.models.bidding_strategy_service_type import BiddingStrategyServiceType
from yahoo_search_api.models.bidding_strategy_service_value import BiddingStrategyServiceValue
from yahoo_search_api.models.budget_order import BudgetOrder
from yahoo_search_api.models.budget_order_service_account_type import BudgetOrderServiceAccountType
from yahoo_search_api.models.budget_order_service_get_response import BudgetOrderServiceGetResponse
from yahoo_search_api.models.budget_order_service_limit_charge_type import BudgetOrderServiceLimitChargeType
from yahoo_search_api.models.budget_order_service_mutate_response import BudgetOrderServiceMutateResponse
from yahoo_search_api.models.budget_order_service_operation import BudgetOrderServiceOperation
from yahoo_search_api.models.budget_order_service_page import BudgetOrderServicePage
from yahoo_search_api.models.budget_order_service_return_value import BudgetOrderServiceReturnValue
from yahoo_search_api.models.budget_order_service_selector import BudgetOrderServiceSelector
from yahoo_search_api.models.budget_order_service_value import BudgetOrderServiceValue
from yahoo_search_api.models.campaign import Campaign
from yahoo_search_api.models.campaign_criterion import CampaignCriterion
from yahoo_search_api.models.campaign_criterion_service_criterion import CampaignCriterionServiceCriterion
from yahoo_search_api.models.campaign_criterion_service_criterion_type import CampaignCriterionServiceCriterionType
from yahoo_search_api.models.campaign_criterion_service_get_response import CampaignCriterionServiceGetResponse
from yahoo_search_api.models.campaign_criterion_service_keyword import CampaignCriterionServiceKeyword
from yahoo_search_api.models.campaign_criterion_service_keyword_match_type import CampaignCriterionServiceKeywordMatchType
from yahoo_search_api.models.campaign_criterion_service_mutate_response import CampaignCriterionServiceMutateResponse
from yahoo_search_api.models.campaign_criterion_service_operation import CampaignCriterionServiceOperation
from yahoo_search_api.models.campaign_criterion_service_page import CampaignCriterionServicePage
from yahoo_search_api.models.campaign_criterion_service_return_value import CampaignCriterionServiceReturnValue
from yahoo_search_api.models.campaign_criterion_service_selector import CampaignCriterionServiceSelector
from yahoo_search_api.models.campaign_criterion_service_use import CampaignCriterionServiceUse
from yahoo_search_api.models.campaign_criterion_service_value import CampaignCriterionServiceValue
from yahoo_search_api.models.campaign_export_service_add_job_response import CampaignExportServiceAddJobResponse
from yahoo_search_api.models.campaign_export_service_approval_status import CampaignExportServiceApprovalStatus
from yahoo_search_api.models.campaign_export_service_download_selector import CampaignExportServiceDownloadSelector
from yahoo_search_api.models.campaign_export_service_encoding import CampaignExportServiceEncoding
from yahoo_search_api.models.campaign_export_service_entity_type import CampaignExportServiceEntityType
from yahoo_search_api.models.campaign_export_service_export_setting import CampaignExportServiceExportSetting
from yahoo_search_api.models.campaign_export_service_field_attribute import CampaignExportServiceFieldAttribute
from yahoo_search_api.models.campaign_export_service_field_value import CampaignExportServiceFieldValue
from yahoo_search_api.models.campaign_export_service_get_export_fields_response import CampaignExportServiceGetExportFieldsResponse
from yahoo_search_api.models.campaign_export_service_get_response import CampaignExportServiceGetResponse
from yahoo_search_api.models.campaign_export_service_job import CampaignExportServiceJob
from yahoo_search_api.models.campaign_export_service_job_operation import CampaignExportServiceJobOperation
from yahoo_search_api.models.campaign_export_service_job_status import CampaignExportServiceJobStatus
from yahoo_search_api.models.campaign_export_service_lang import CampaignExportServiceLang
from yahoo_search_api.models.campaign_export_service_output import CampaignExportServiceOutput
from yahoo_search_api.models.campaign_export_service_page import CampaignExportServicePage
from yahoo_search_api.models.campaign_export_service_return_value import CampaignExportServiceReturnValue
from yahoo_search_api.models.campaign_export_service_selector import CampaignExportServiceSelector
from yahoo_search_api.models.campaign_export_service_user_status import CampaignExportServiceUserStatus
from yahoo_search_api.models.campaign_export_service_value import CampaignExportServiceValue
from yahoo_search_api.models.campaign_feed import CampaignFeed
from yahoo_search_api.models.campaign_feed_service_get_response import CampaignFeedServiceGetResponse
from yahoo_search_api.models.campaign_feed_service_list import CampaignFeedServiceList
from yahoo_search_api.models.campaign_feed_service_mutate_response import CampaignFeedServiceMutateResponse
from yahoo_search_api.models.campaign_feed_service_operation import CampaignFeedServiceOperation
from yahoo_search_api.models.campaign_feed_service_page import CampaignFeedServicePage
from yahoo_search_api.models.campaign_feed_service_placeholder_type import CampaignFeedServicePlaceholderType
from yahoo_search_api.models.campaign_feed_service_return_value import CampaignFeedServiceReturnValue
from yahoo_search_api.models.campaign_feed_service_selector import CampaignFeedServiceSelector
from yahoo_search_api.models.campaign_feed_service_value import CampaignFeedServiceValue
from yahoo_search_api.models.campaign_label import CampaignLabel
from yahoo_search_api.models.campaign_label_service_mutate_response import CampaignLabelServiceMutateResponse
from yahoo_search_api.models.campaign_label_service_operation import CampaignLabelServiceOperation
from yahoo_search_api.models.campaign_label_service_return_value import CampaignLabelServiceReturnValue
from yahoo_search_api.models.campaign_label_service_value import CampaignLabelServiceValue
from yahoo_search_api.models.campaign_retargeting_list import CampaignRetargetingList
from yahoo_search_api.models.campaign_retargeting_list_service_criterion_target_list import CampaignRetargetingListServiceCriterionTargetList
from yahoo_search_api.models.campaign_retargeting_list_service_excluded_type import CampaignRetargetingListServiceExcludedType
from yahoo_search_api.models.campaign_retargeting_list_service_get_response import CampaignRetargetingListServiceGetResponse
from yahoo_search_api.models.campaign_retargeting_list_service_mutate_response import CampaignRetargetingListServiceMutateResponse
from yahoo_search_api.models.campaign_retargeting_list_service_operation import CampaignRetargetingListServiceOperation
from yahoo_search_api.models.campaign_retargeting_list_service_page import CampaignRetargetingListServicePage
from yahoo_search_api.models.campaign_retargeting_list_service_return_value import CampaignRetargetingListServiceReturnValue
from yahoo_search_api.models.campaign_retargeting_list_service_selector import CampaignRetargetingListServiceSelector
from yahoo_search_api.models.campaign_retargeting_list_service_value import CampaignRetargetingListServiceValue
from yahoo_search_api.models.campaign_service_app_store import CampaignServiceAppStore
from yahoo_search_api.models.campaign_service_bidding_scheme import CampaignServiceBiddingScheme
from yahoo_search_api.models.campaign_service_bidding_strategy import CampaignServiceBiddingStrategy
from yahoo_search_api.models.campaign_service_bidding_strategy_failed_reason import CampaignServiceBiddingStrategyFailedReason
from yahoo_search_api.models.campaign_service_bidding_strategy_source import CampaignServiceBiddingStrategySource
from yahoo_search_api.models.campaign_service_bidding_strategy_type import CampaignServiceBiddingStrategyType
from yahoo_search_api.models.campaign_service_budget import CampaignServiceBudget
from yahoo_search_api.models.campaign_service_budget_amount_range import CampaignServiceBudgetAmountRange
from yahoo_search_api.models.campaign_service_budget_period import CampaignServiceBudgetPeriod
from yahoo_search_api.models.campaign_service_contains_label_id import CampaignServiceContainsLabelId
from yahoo_search_api.models.campaign_service_conversion_optimizer_eligibility import CampaignServiceConversionOptimizerEligibility
from yahoo_search_api.models.campaign_service_created_date_range import CampaignServiceCreatedDateRange
from yahoo_search_api.models.campaign_service_custom_parameter import CampaignServiceCustomParameter
from yahoo_search_api.models.campaign_service_custom_parameters import CampaignServiceCustomParameters
from yahoo_search_api.models.campaign_service_das_use_urls_type import CampaignServiceDasUseUrlsType
from yahoo_search_api.models.campaign_service_dynamic_ads_for_search_setting import CampaignServiceDynamicAdsForSearchSetting
from yahoo_search_api.models.campaign_service_enhanced_cpc_enabled import CampaignServiceEnhancedCpcEnabled
from yahoo_search_api.models.campaign_service_geo_target_type import CampaignServiceGeoTargetType
from yahoo_search_api.models.campaign_service_geo_target_type_setting import CampaignServiceGeoTargetTypeSetting
from yahoo_search_api.models.campaign_service_get_response import CampaignServiceGetResponse
from yahoo_search_api.models.campaign_service_is_remove import CampaignServiceIsRemove
from yahoo_search_api.models.campaign_service_label import CampaignServiceLabel
from yahoo_search_api.models.campaign_service_manual_cpc_bidding_scheme import CampaignServiceManualCpcBiddingScheme
from yahoo_search_api.models.campaign_service_maximize_conversion_value_bidding_scheme import CampaignServiceMaximizeConversionValueBiddingScheme
from yahoo_search_api.models.campaign_service_maximize_conversions_bidding_scheme import CampaignServiceMaximizeConversionsBiddingScheme
from yahoo_search_api.models.campaign_service_mutate_response import CampaignServiceMutateResponse
from yahoo_search_api.models.campaign_service_operation import CampaignServiceOperation
from yahoo_search_api.models.campaign_service_page import CampaignServicePage
from yahoo_search_api.models.campaign_service_return_value import CampaignServiceReturnValue
from yahoo_search_api.models.campaign_service_review_url import CampaignServiceReviewUrl
from yahoo_search_api.models.campaign_service_selector import CampaignServiceSelector
from yahoo_search_api.models.campaign_service_serving_status import CampaignServiceServingStatus
from yahoo_search_api.models.campaign_service_setting_type import CampaignServiceSettingType
from yahoo_search_api.models.campaign_service_settings import CampaignServiceSettings
from yahoo_search_api.models.campaign_service_target_all import CampaignServiceTargetAll
from yahoo_search_api.models.campaign_service_target_cpa_bidding_scheme import CampaignServiceTargetCpaBiddingScheme
from yahoo_search_api.models.campaign_service_target_impression_share_location import CampaignServiceTargetImpressionShareLocation
from yahoo_search_api.models.campaign_service_target_impression_share_scheme import CampaignServiceTargetImpressionShareScheme
from yahoo_search_api.models.campaign_service_target_roas_bidding_scheme import CampaignServiceTargetRoasBiddingScheme
from yahoo_search_api.models.campaign_service_target_spend_bidding_scheme import CampaignServiceTargetSpendBiddingScheme
from yahoo_search_api.models.campaign_service_targeting_setting import CampaignServiceTargetingSetting
from yahoo_search_api.models.campaign_service_type import CampaignServiceType
from yahoo_search_api.models.campaign_service_url_approval_status import CampaignServiceUrlApprovalStatus
from yahoo_search_api.models.campaign_service_url_review_data import CampaignServiceUrlReviewData
from yahoo_search_api.models.campaign_service_user_status import CampaignServiceUserStatus
from yahoo_search_api.models.campaign_service_value import CampaignServiceValue
from yahoo_search_api.models.campaign_shared_set import CampaignSharedSet
from yahoo_search_api.models.campaign_shared_set_service_get_response import CampaignSharedSetServiceGetResponse
from yahoo_search_api.models.campaign_shared_set_service_mutate_response import CampaignSharedSetServiceMutateResponse
from yahoo_search_api.models.campaign_shared_set_service_operation import CampaignSharedSetServiceOperation
from yahoo_search_api.models.campaign_shared_set_service_page import CampaignSharedSetServicePage
from yahoo_search_api.models.campaign_shared_set_service_return_value import CampaignSharedSetServiceReturnValue
from yahoo_search_api.models.campaign_shared_set_service_selector import CampaignSharedSetServiceSelector
from yahoo_search_api.models.campaign_shared_set_service_value import CampaignSharedSetServiceValue
from yahoo_search_api.models.campaign_target import CampaignTarget
from yahoo_search_api.models.campaign_target_service_day_of_week import CampaignTargetServiceDayOfWeek
from yahoo_search_api.models.campaign_target_service_excluded_type import CampaignTargetServiceExcludedType
from yahoo_search_api.models.campaign_target_service_get_response import CampaignTargetServiceGetResponse
from yahoo_search_api.models.campaign_target_service_location_target import CampaignTargetServiceLocationTarget
from yahoo_search_api.models.campaign_target_service_minute_of_hour import CampaignTargetServiceMinuteOfHour
from yahoo_search_api.models.campaign_target_service_mutate_response import CampaignTargetServiceMutateResponse
from yahoo_search_api.models.campaign_target_service_network_coverage_type import CampaignTargetServiceNetworkCoverageType
from yahoo_search_api.models.campaign_target_service_network_target import CampaignTargetServiceNetworkTarget
from yahoo_search_api.models.campaign_target_service_operation import CampaignTargetServiceOperation
from yahoo_search_api.models.campaign_target_service_page import CampaignTargetServicePage
from yahoo_search_api.models.campaign_target_service_platform_target import CampaignTargetServicePlatformTarget
from yahoo_search_api.models.campaign_target_service_platform_type import CampaignTargetServicePlatformType
from yahoo_search_api.models.campaign_target_service_return_value import CampaignTargetServiceReturnValue
from yahoo_search_api.models.campaign_target_service_schedule_target import CampaignTargetServiceScheduleTarget
from yahoo_search_api.models.campaign_target_service_selector import CampaignTargetServiceSelector
from yahoo_search_api.models.campaign_target_service_target import CampaignTargetServiceTarget
from yahoo_search_api.models.campaign_target_service_target_type import CampaignTargetServiceTargetType
from yahoo_search_api.models.campaign_target_service_targeting_status import CampaignTargetServiceTargetingStatus
from yahoo_search_api.models.campaign_target_service_value import CampaignTargetServiceValue
from yahoo_search_api.models.campaign_webpage import CampaignWebpage
from yahoo_search_api.models.campaign_webpage_service_get_response import CampaignWebpageServiceGetResponse
from yahoo_search_api.models.campaign_webpage_service_mutate_response import CampaignWebpageServiceMutateResponse
from yahoo_search_api.models.campaign_webpage_service_operation import CampaignWebpageServiceOperation
from yahoo_search_api.models.campaign_webpage_service_page import CampaignWebpageServicePage
from yahoo_search_api.models.campaign_webpage_service_return_value import CampaignWebpageServiceReturnValue
from yahoo_search_api.models.campaign_webpage_service_selector import CampaignWebpageServiceSelector
from yahoo_search_api.models.campaign_webpage_service_value import CampaignWebpageServiceValue
from yahoo_search_api.models.campaign_webpage_service_webpage import CampaignWebpageServiceWebpage
from yahoo_search_api.models.campaign_webpage_service_webpage_condition import CampaignWebpageServiceWebpageCondition
from yahoo_search_api.models.campaign_webpage_service_webpage_condition_type import CampaignWebpageServiceWebpageConditionType
from yahoo_search_api.models.campaign_webpage_service_webpage_operator import CampaignWebpageServiceWebpageOperator
from yahoo_search_api.models.campaign_webpage_service_webpage_parameter import CampaignWebpageServiceWebpageParameter
from yahoo_search_api.models.conversion_tracker import ConversionTracker
from yahoo_search_api.models.conversion_tracker_service_app_conversion import ConversionTrackerServiceAppConversion
from yahoo_search_api.models.conversion_tracker_service_app_conversion_type import ConversionTrackerServiceAppConversionType
from yahoo_search_api.models.conversion_tracker_service_app_event import ConversionTrackerServiceAppEvent
from yahoo_search_api.models.conversion_tracker_service_app_event_type_page import ConversionTrackerServiceAppEventTypePage
from yahoo_search_api.models.conversion_tracker_service_app_event_type_selector import ConversionTrackerServiceAppEventTypeSelector
from yahoo_search_api.models.conversion_tracker_service_app_event_type_value import ConversionTrackerServiceAppEventTypeValue
from yahoo_search_api.models.conversion_tracker_service_app_link_conversion import ConversionTrackerServiceAppLinkConversion
from yahoo_search_api.models.conversion_tracker_service_app_link_platform import ConversionTrackerServiceAppLinkPlatform
from yahoo_search_api.models.conversion_tracker_service_app_platform import ConversionTrackerServiceAppPlatform
from yahoo_search_api.models.conversion_tracker_service_app_postback_url import ConversionTrackerServiceAppPostbackUrl
from yahoo_search_api.models.conversion_tracker_service_app_postback_url_clear_flag import ConversionTrackerServiceAppPostbackUrlClearFlag
from yahoo_search_api.models.conversion_tracker_service_category import ConversionTrackerServiceCategory
from yahoo_search_api.models.conversion_tracker_service_conversion_counting_type import ConversionTrackerServiceConversionCountingType
from yahoo_search_api.models.conversion_tracker_service_conversion_date_range import ConversionTrackerServiceConversionDateRange
from yahoo_search_api.models.conversion_tracker_service_conversion_tracker_type import ConversionTrackerServiceConversionTrackerType
from yahoo_search_api.models.conversion_tracker_service_exclude_from_bidding import ConversionTrackerServiceExcludeFromBidding
from yahoo_search_api.models.conversion_tracker_service_get_app_event_type_response import ConversionTrackerServiceGetAppEventTypeResponse
from yahoo_search_api.models.conversion_tracker_service_get_response import ConversionTrackerServiceGetResponse
from yahoo_search_api.models.conversion_tracker_service_markup_language import ConversionTrackerServiceMarkupLanguage
from yahoo_search_api.models.conversion_tracker_service_mutate_response import ConversionTrackerServiceMutateResponse
from yahoo_search_api.models.conversion_tracker_service_operation import ConversionTrackerServiceOperation
from yahoo_search_api.models.conversion_tracker_service_page import ConversionTrackerServicePage
from yahoo_search_api.models.conversion_tracker_service_return_value import ConversionTrackerServiceReturnValue
from yahoo_search_api.models.conversion_tracker_service_selector import ConversionTrackerServiceSelector
from yahoo_search_api.models.conversion_tracker_service_status import ConversionTrackerServiceStatus
from yahoo_search_api.models.conversion_tracker_service_tracking_code_type import ConversionTrackerServiceTrackingCodeType
from yahoo_search_api.models.conversion_tracker_service_value import ConversionTrackerServiceValue
from yahoo_search_api.models.conversion_tracker_service_web_conversion import ConversionTrackerServiceWebConversion
from yahoo_search_api.models.dictionary_service_app_link_vendor import DictionaryServiceAppLinkVendor
from yahoo_search_api.models.dictionary_service_app_link_vendor_page import DictionaryServiceAppLinkVendorPage
from yahoo_search_api.models.dictionary_service_app_link_vendor_selector import DictionaryServiceAppLinkVendorSelector
from yahoo_search_api.models.dictionary_service_app_link_vendor_value import DictionaryServiceAppLinkVendorValue
from yahoo_search_api.models.dictionary_service_disapproval_reason import DictionaryServiceDisapprovalReason
from yahoo_search_api.models.dictionary_service_disapproval_reason_page import DictionaryServiceDisapprovalReasonPage
from yahoo_search_api.models.dictionary_service_disapproval_reason_selector import DictionaryServiceDisapprovalReasonSelector
from yahoo_search_api.models.dictionary_service_disapproval_reason_value import DictionaryServiceDisapprovalReasonValue
from yahoo_search_api.models.dictionary_service_geographic_location import DictionaryServiceGeographicLocation
from yahoo_search_api.models.dictionary_service_geographic_location_page import DictionaryServiceGeographicLocationPage
from yahoo_search_api.models.dictionary_service_geographic_location_selector import DictionaryServiceGeographicLocationSelector
from yahoo_search_api.models.dictionary_service_geographic_location_status import DictionaryServiceGeographicLocationStatus
from yahoo_search_api.models.dictionary_service_geographic_location_value import DictionaryServiceGeographicLocationValue
from yahoo_search_api.models.dictionary_service_get_app_link_vendor_response import DictionaryServiceGetAppLinkVendorResponse
from yahoo_search_api.models.dictionary_service_get_disapproval_reason_response import DictionaryServiceGetDisapprovalReasonResponse
from yahoo_search_api.models.dictionary_service_get_geographic_location_response import DictionaryServiceGetGeographicLocationResponse
from yahoo_search_api.models.dictionary_service_lang import DictionaryServiceLang
from yahoo_search_api.models.error import Error
from yahoo_search_api.models.error_detail import ErrorDetail
from yahoo_search_api.models.feed import Feed
from yahoo_search_api.models.feed_item import FeedItem
from yahoo_search_api.models.feed_item_service_approval_status import FeedItemServiceApprovalStatus
from yahoo_search_api.models.feed_item_service_attribute import FeedItemServiceAttribute
from yahoo_search_api.models.feed_item_service_criterion_type_feed_item import FeedItemServiceCriterionTypeFeedItem
from yahoo_search_api.models.feed_item_service_custom_parameter import FeedItemServiceCustomParameter
from yahoo_search_api.models.feed_item_service_custom_parameters import FeedItemServiceCustomParameters
from yahoo_search_api.models.feed_item_service_day_of_week import FeedItemServiceDayOfWeek
from yahoo_search_api.models.feed_item_service_device_preference import FeedItemServiceDevicePreference
from yahoo_search_api.models.feed_item_service_feed_attribute_value import FeedItemServiceFeedAttributeValue
from yahoo_search_api.models.feed_item_service_geo_restriction import FeedItemServiceGeoRestriction
from yahoo_search_api.models.feed_item_service_get_response import FeedItemServiceGetResponse
from yahoo_search_api.models.feed_item_service_is_remove import FeedItemServiceIsRemove
from yahoo_search_api.models.feed_item_service_keyword_match_type import FeedItemServiceKeywordMatchType
from yahoo_search_api.models.feed_item_service_location import FeedItemServiceLocation
from yahoo_search_api.models.feed_item_service_minute_of_hour import FeedItemServiceMinuteOfHour
from yahoo_search_api.models.feed_item_service_multiple_feed_item_attribute import FeedItemServiceMultipleFeedItemAttribute
from yahoo_search_api.models.feed_item_service_mutate_response import FeedItemServiceMutateResponse
from yahoo_search_api.models.feed_item_service_operation import FeedItemServiceOperation
from yahoo_search_api.models.feed_item_service_page import FeedItemServicePage
from yahoo_search_api.models.feed_item_service_placeholder_field import FeedItemServicePlaceholderField
from yahoo_search_api.models.feed_item_service_placeholder_type import FeedItemServicePlaceholderType
from yahoo_search_api.models.feed_item_service_return_value import FeedItemServiceReturnValue
from yahoo_search_api.models.feed_item_service_schedule import FeedItemServiceSchedule
from yahoo_search_api.models.feed_item_service_scheduling import FeedItemServiceScheduling
from yahoo_search_api.models.feed_item_service_selector import FeedItemServiceSelector
from yahoo_search_api.models.feed_item_service_set_trademark_status import FeedItemServiceSetTrademarkStatus
from yahoo_search_api.models.feed_item_service_set_trademark_status_operation import FeedItemServiceSetTrademarkStatusOperation
from yahoo_search_api.models.feed_item_service_set_trademark_status_response import FeedItemServiceSetTrademarkStatusResponse
from yahoo_search_api.models.feed_item_service_simple_feed_item_attribute import FeedItemServiceSimpleFeedItemAttribute
from yahoo_search_api.models.feed_item_service_targeting_ad_group import FeedItemServiceTargetingAdGroup
from yahoo_search_api.models.feed_item_service_targeting_campaign import FeedItemServiceTargetingCampaign
from yahoo_search_api.models.feed_item_service_targeting_keyword import FeedItemServiceTargetingKeyword
from yahoo_search_api.models.feed_item_service_trademark_status import FeedItemServiceTrademarkStatus
from yahoo_search_api.models.feed_item_service_value import FeedItemServiceValue
from yahoo_search_api.models.feed_service_attribute import FeedServiceAttribute
from yahoo_search_api.models.feed_service_get_response import FeedServiceGetResponse
from yahoo_search_api.models.feed_service_mutate_response import FeedServiceMutateResponse
from yahoo_search_api.models.feed_service_operation import FeedServiceOperation
from yahoo_search_api.models.feed_service_page import FeedServicePage
from yahoo_search_api.models.feed_service_placeholder_field import FeedServicePlaceholderField
from yahoo_search_api.models.feed_service_placeholder_type import FeedServicePlaceholderType
from yahoo_search_api.models.feed_service_return_value import FeedServiceReturnValue
from yahoo_search_api.models.feed_service_selector import FeedServiceSelector
from yahoo_search_api.models.feed_service_value import FeedServiceValue
from yahoo_search_api.models.inline_object import InlineObject
from yahoo_search_api.models.inline_object1 import InlineObject1
from yahoo_search_api.models.keyword_estimator_service_ad_group_estimate_request import KeywordEstimatorServiceAdGroupEstimateRequest
from yahoo_search_api.models.keyword_estimator_service_campaign_estimate_request import KeywordEstimatorServiceCampaignEstimateRequest
from yahoo_search_api.models.keyword_estimator_service_estimate_keyword import KeywordEstimatorServiceEstimateKeyword
from yahoo_search_api.models.keyword_estimator_service_estimate_result import KeywordEstimatorServiceEstimateResult
from yahoo_search_api.models.keyword_estimator_service_get_response import KeywordEstimatorServiceGetResponse
from yahoo_search_api.models.keyword_estimator_service_is_negative_bool import KeywordEstimatorServiceIsNegativeBool
from yahoo_search_api.models.keyword_estimator_service_keyword_estimate_request import KeywordEstimatorServiceKeywordEstimateRequest
from yahoo_search_api.models.keyword_estimator_service_keyword_match_type import KeywordEstimatorServiceKeywordMatchType
from yahoo_search_api.models.keyword_estimator_service_page import KeywordEstimatorServicePage
from yahoo_search_api.models.keyword_estimator_service_result import KeywordEstimatorServiceResult
from yahoo_search_api.models.keyword_estimator_service_selector import KeywordEstimatorServiceSelector
from yahoo_search_api.models.keyword_estimator_service_value import KeywordEstimatorServiceValue
from yahoo_search_api.models.keyword_forecast_metrics import KeywordForecastMetrics
from yahoo_search_api.models.keyword_forecast_metrics_service_date_interval import KeywordForecastMetricsServiceDateInterval
from yahoo_search_api.models.keyword_forecast_metrics_service_get_response import KeywordForecastMetricsServiceGetResponse
from yahoo_search_api.models.keyword_forecast_metrics_service_keyword_plan_ad_group import KeywordForecastMetricsServiceKeywordPlanAdGroup
from yahoo_search_api.models.keyword_forecast_metrics_service_keyword_plan_ad_group_keyword import KeywordForecastMetricsServiceKeywordPlanAdGroupKeyword
from yahoo_search_api.models.keyword_forecast_metrics_service_keyword_plan_campaign import KeywordForecastMetricsServiceKeywordPlanCampaign
from yahoo_search_api.models.keyword_forecast_metrics_service_keyword_plan_network import KeywordForecastMetricsServiceKeywordPlanNetwork
from yahoo_search_api.models.keyword_forecast_metrics_service_match_type import KeywordForecastMetricsServiceMatchType
from yahoo_search_api.models.keyword_forecast_metrics_service_page import KeywordForecastMetricsServicePage
from yahoo_search_api.models.keyword_forecast_metrics_service_selector import KeywordForecastMetricsServiceSelector
from yahoo_search_api.models.keyword_forecast_metrics_service_value import KeywordForecastMetricsServiceValue
from yahoo_search_api.models.keyword_plan_idea import KeywordPlanIdea
from yahoo_search_api.models.keyword_plan_idea_service_get_response import KeywordPlanIdeaServiceGetResponse
from yahoo_search_api.models.keyword_plan_idea_service_keyword_and_url_seed import KeywordPlanIdeaServiceKeywordAndUrlSeed
from yahoo_search_api.models.keyword_plan_idea_service_keyword_seed import KeywordPlanIdeaServiceKeywordSeed
from yahoo_search_api.models.keyword_plan_idea_service_page import KeywordPlanIdeaServicePage
from yahoo_search_api.models.keyword_plan_idea_service_seed import KeywordPlanIdeaServiceSeed
from yahoo_search_api.models.keyword_plan_idea_service_seed_type import KeywordPlanIdeaServiceSeedType
from yahoo_search_api.models.keyword_plan_idea_service_selector import KeywordPlanIdeaServiceSelector
from yahoo_search_api.models.keyword_plan_idea_service_site_seed import KeywordPlanIdeaServiceSiteSeed
from yahoo_search_api.models.keyword_plan_idea_service_url_seed import KeywordPlanIdeaServiceUrlSeed
from yahoo_search_api.models.keyword_plan_idea_service_value import KeywordPlanIdeaServiceValue
from yahoo_search_api.models.label import Label
from yahoo_search_api.models.label_service_count_labeled_entity import LabelServiceCountLabeledEntity
from yahoo_search_api.models.label_service_get_response import LabelServiceGetResponse
from yahoo_search_api.models.label_service_mutate_response import LabelServiceMutateResponse
from yahoo_search_api.models.label_service_operation import LabelServiceOperation
from yahoo_search_api.models.label_service_page import LabelServicePage
from yahoo_search_api.models.label_service_return_value import LabelServiceReturnValue
from yahoo_search_api.models.label_service_selector import LabelServiceSelector
from yahoo_search_api.models.label_service_value import LabelServiceValue
from yahoo_search_api.models.offline_conversion_file import OfflineConversionFile
from yahoo_search_api.models.offline_conversion_service_download_selector import OfflineConversionServiceDownloadSelector
from yahoo_search_api.models.offline_conversion_service_get_response import OfflineConversionServiceGetResponse
from yahoo_search_api.models.offline_conversion_service_page import OfflineConversionServicePage
from yahoo_search_api.models.offline_conversion_service_process_status import OfflineConversionServiceProcessStatus
from yahoo_search_api.models.offline_conversion_service_selector import OfflineConversionServiceSelector
from yahoo_search_api.models.offline_conversion_service_sort import OfflineConversionServiceSort
from yahoo_search_api.models.offline_conversion_service_sort_field import OfflineConversionServiceSortField
from yahoo_search_api.models.offline_conversion_service_sort_type import OfflineConversionServiceSortType
from yahoo_search_api.models.offline_conversion_service_upload_response import OfflineConversionServiceUploadResponse
from yahoo_search_api.models.offline_conversion_service_upload_return_value import OfflineConversionServiceUploadReturnValue
from yahoo_search_api.models.offline_conversion_service_upload_source_type import OfflineConversionServiceUploadSourceType
from yahoo_search_api.models.offline_conversion_service_upload_type import OfflineConversionServiceUploadType
from yahoo_search_api.models.offline_conversion_service_value import OfflineConversionServiceValue
from yahoo_search_api.models.page_feed_item import PageFeedItem
from yahoo_search_api.models.page_feed_item_service_add_download_job_response import PageFeedItemServiceAddDownloadJobResponse
from yahoo_search_api.models.page_feed_item_service_approval_status import PageFeedItemServiceApprovalStatus
from yahoo_search_api.models.page_feed_item_service_bulk_encoding import PageFeedItemServiceBulkEncoding
from yahoo_search_api.models.page_feed_item_service_bulk_lang import PageFeedItemServiceBulkLang
from yahoo_search_api.models.page_feed_item_service_bulk_output import PageFeedItemServiceBulkOutput
from yahoo_search_api.models.page_feed_item_service_download_job import PageFeedItemServiceDownloadJob
from yahoo_search_api.models.page_feed_item_service_download_job_operation import PageFeedItemServiceDownloadJobOperation
from yahoo_search_api.models.page_feed_item_service_download_job_return_value import PageFeedItemServiceDownloadJobReturnValue
from yahoo_search_api.models.page_feed_item_service_download_job_status import PageFeedItemServiceDownloadJobStatus
from yahoo_search_api.models.page_feed_item_service_download_job_value import PageFeedItemServiceDownloadJobValue
from yahoo_search_api.models.page_feed_item_service_download_selector import PageFeedItemServiceDownloadSelector
from yahoo_search_api.models.page_feed_item_service_get_job_status_response import PageFeedItemServiceGetJobStatusResponse
from yahoo_search_api.models.page_feed_item_service_get_response import PageFeedItemServiceGetResponse
from yahoo_search_api.models.page_feed_item_service_get_review_summary_response import PageFeedItemServiceGetReviewSummaryResponse
from yahoo_search_api.models.page_feed_item_service_job_status_page import PageFeedItemServiceJobStatusPage
from yahoo_search_api.models.page_feed_item_service_job_status_selector import PageFeedItemServiceJobStatusSelector
from yahoo_search_api.models.page_feed_item_service_job_type import PageFeedItemServiceJobType
from yahoo_search_api.models.page_feed_item_service_job_value import PageFeedItemServiceJobValue
from yahoo_search_api.models.page_feed_item_service_match_type import PageFeedItemServiceMatchType
from yahoo_search_api.models.page_feed_item_service_page import PageFeedItemServicePage
from yahoo_search_api.models.page_feed_item_service_page_feed_url import PageFeedItemServicePageFeedUrl
from yahoo_search_api.models.page_feed_item_service_return_value import PageFeedItemServiceReturnValue
from yahoo_search_api.models.page_feed_item_service_review_summary import PageFeedItemServiceReviewSummary
from yahoo_search_api.models.page_feed_item_service_review_summary_page import PageFeedItemServiceReviewSummaryPage
from yahoo_search_api.models.page_feed_item_service_review_summary_selector import PageFeedItemServiceReviewSummarySelector
from yahoo_search_api.models.page_feed_item_service_review_summary_value import PageFeedItemServiceReviewSummaryValue
from yahoo_search_api.models.page_feed_item_service_selector import PageFeedItemServiceSelector
from yahoo_search_api.models.page_feed_item_service_upload_job import PageFeedItemServiceUploadJob
from yahoo_search_api.models.page_feed_item_service_upload_job_status import PageFeedItemServiceUploadJobStatus
from yahoo_search_api.models.page_feed_item_service_upload_response import PageFeedItemServiceUploadResponse
from yahoo_search_api.models.page_feed_item_service_upload_return_value import PageFeedItemServiceUploadReturnValue
from yahoo_search_api.models.page_feed_item_service_upload_value import PageFeedItemServiceUploadValue
from yahoo_search_api.models.report_definition import ReportDefinition
from yahoo_search_api.models.report_definition_service_download_selector import ReportDefinitionServiceDownloadSelector
from yahoo_search_api.models.report_definition_service_field_value import ReportDefinitionServiceFieldValue
from yahoo_search_api.models.report_definition_service_filter_operator import ReportDefinitionServiceFilterOperator
from yahoo_search_api.models.report_definition_service_get_report_fields import ReportDefinitionServiceGetReportFields
from yahoo_search_api.models.report_definition_service_get_report_fields_response import ReportDefinitionServiceGetReportFieldsResponse
from yahoo_search_api.models.report_definition_service_get_response import ReportDefinitionServiceGetResponse
from yahoo_search_api.models.report_definition_service_mutate_response import ReportDefinitionServiceMutateResponse
from yahoo_search_api.models.report_definition_service_operation import ReportDefinitionServiceOperation
from yahoo_search_api.models.report_definition_service_page import ReportDefinitionServicePage
from yahoo_search_api.models.report_definition_service_report_compress_type import ReportDefinitionServiceReportCompressType
from yahoo_search_api.models.report_definition_service_report_date_range import ReportDefinitionServiceReportDateRange
from yahoo_search_api.models.report_definition_service_report_date_range_type import ReportDefinitionServiceReportDateRangeType
from yahoo_search_api.models.report_definition_service_report_decimal_part_display_type import ReportDefinitionServiceReportDecimalPartDisplayType
from yahoo_search_api.models.report_definition_service_report_download_encode import ReportDefinitionServiceReportDownloadEncode
from yahoo_search_api.models.report_definition_service_report_download_format import ReportDefinitionServiceReportDownloadFormat
from yahoo_search_api.models.report_definition_service_report_field_attribute import ReportDefinitionServiceReportFieldAttribute
from yahoo_search_api.models.report_definition_service_report_filter import ReportDefinitionServiceReportFilter
from yahoo_search_api.models.report_definition_service_report_include_deleted import ReportDefinitionServiceReportIncludeDeleted
from yahoo_search_api.models.report_definition_service_report_job_status import ReportDefinitionServiceReportJobStatus
from yahoo_search_api.models.report_definition_service_report_language import ReportDefinitionServiceReportLanguage
from yahoo_search_api.models.report_definition_service_report_skip_column_header import ReportDefinitionServiceReportSkipColumnHeader
from yahoo_search_api.models.report_definition_service_report_skip_report_summary import ReportDefinitionServiceReportSkipReportSummary
from yahoo_search_api.models.report_definition_service_report_sort_field import ReportDefinitionServiceReportSortField
from yahoo_search_api.models.report_definition_service_report_sort_type import ReportDefinitionServiceReportSortType
from yahoo_search_api.models.report_definition_service_report_type import ReportDefinitionServiceReportType
from yahoo_search_api.models.report_definition_service_return_value import ReportDefinitionServiceReturnValue
from yahoo_search_api.models.report_definition_service_selector import ReportDefinitionServiceSelector
from yahoo_search_api.models.report_definition_service_value import ReportDefinitionServiceValue
from yahoo_search_api.models.retargeting_list_service_closing_reason import RetargetingListServiceClosingReason
from yahoo_search_api.models.retargeting_list_service_custom_key import RetargetingListServiceCustomKey
from yahoo_search_api.models.retargeting_list_service_custom_key_page import RetargetingListServiceCustomKeyPage
from yahoo_search_api.models.retargeting_list_service_custom_key_rule_item import RetargetingListServiceCustomKeyRuleItem
from yahoo_search_api.models.retargeting_list_service_default_target_list import RetargetingListServiceDefaultTargetList
from yahoo_search_api.models.retargeting_list_service_get_custom_key_response import RetargetingListServiceGetCustomKeyResponse
from yahoo_search_api.models.retargeting_list_service_get_custom_key_selector import RetargetingListServiceGetCustomKeySelector
from yahoo_search_api.models.retargeting_list_service_get_response import RetargetingListServiceGetResponse
from yahoo_search_api.models.retargeting_list_service_is_all_visitor_rule import RetargetingListServiceIsAllVisitorRule
from yahoo_search_api.models.retargeting_list_service_is_date_specific_rule import RetargetingListServiceIsDateSpecificRule
from yahoo_search_api.models.retargeting_list_service_logical_condition import RetargetingListServiceLogicalCondition
from yahoo_search_api.models.retargeting_list_service_logical_group import RetargetingListServiceLogicalGroup
from yahoo_search_api.models.retargeting_list_service_logical_rule_operand import RetargetingListServiceLogicalRuleOperand
from yahoo_search_api.models.retargeting_list_service_logical_target_list import RetargetingListServiceLogicalTargetList
from yahoo_search_api.models.retargeting_list_service_mutate_response import RetargetingListServiceMutateResponse
from yahoo_search_api.models.retargeting_list_service_operation import RetargetingListServiceOperation
from yahoo_search_api.models.retargeting_list_service_page import RetargetingListServicePage
from yahoo_search_api.models.retargeting_list_service_reach_storage_status import RetargetingListServiceReachStorageStatus
from yahoo_search_api.models.retargeting_list_service_retargeting_account_status import RetargetingListServiceRetargetingAccountStatus
from yahoo_search_api.models.retargeting_list_service_return_value import RetargetingListServiceReturnValue
from yahoo_search_api.models.retargeting_list_service_review_status import RetargetingListServiceReviewStatus
from yahoo_search_api.models.retargeting_list_service_rule_base_target_list import RetargetingListServiceRuleBaseTargetList
from yahoo_search_api.models.retargeting_list_service_rule_group import RetargetingListServiceRuleGroup
from yahoo_search_api.models.retargeting_list_service_rule_item import RetargetingListServiceRuleItem
from yahoo_search_api.models.retargeting_list_service_rule_operator import RetargetingListServiceRuleOperator
from yahoo_search_api.models.retargeting_list_service_rule_type import RetargetingListServiceRuleType
from yahoo_search_api.models.retargeting_list_service_selector import RetargetingListServiceSelector
from yahoo_search_api.models.retargeting_list_service_tag import RetargetingListServiceTag
from yahoo_search_api.models.retargeting_list_service_target_list_owner import RetargetingListServiceTargetListOwner
from yahoo_search_api.models.retargeting_list_service_target_list_type import RetargetingListServiceTargetListType
from yahoo_search_api.models.retargeting_list_service_targeting_list import RetargetingListServiceTargetingList
from yahoo_search_api.models.retargeting_list_service_url_rule_item import RetargetingListServiceUrlRuleItem
from yahoo_search_api.models.retargeting_list_service_url_rule_key import RetargetingListServiceUrlRuleKey
from yahoo_search_api.models.retargeting_list_service_value import RetargetingListServiceValue
from yahoo_search_api.models.shared_criterion import SharedCriterion
from yahoo_search_api.models.shared_criterion_service_get_response import SharedCriterionServiceGetResponse
from yahoo_search_api.models.shared_criterion_service_keyword_match_type import SharedCriterionServiceKeywordMatchType
from yahoo_search_api.models.shared_criterion_service_mutate_response import SharedCriterionServiceMutateResponse
from yahoo_search_api.models.shared_criterion_service_operation import SharedCriterionServiceOperation
from yahoo_search_api.models.shared_criterion_service_page import SharedCriterionServicePage
from yahoo_search_api.models.shared_criterion_service_return_value import SharedCriterionServiceReturnValue
from yahoo_search_api.models.shared_criterion_service_selector import SharedCriterionServiceSelector
from yahoo_search_api.models.shared_criterion_service_use import SharedCriterionServiceUse
from yahoo_search_api.models.shared_criterion_service_value import SharedCriterionServiceValue

